[Fai-commit] r6739 - trunk/examples/simple/hooks

Thomas Lange lange at alioth.debian.org
Sat Oct 22 22:38:09 UTC 2011


Author: lange
Date: 2011-10-22 22:38:09 +0000 (Sat, 22 Oct 2011)
New Revision: 6739

Added:
   trunk/examples/simple/hooks/repository.CENTOS
Removed:
   trunk/examples/simple/hooks/prepareapt.CENTOS
Log:
rename file, because task was renamed


Deleted: trunk/examples/simple/hooks/prepareapt.CENTOS
===================================================================
--- trunk/examples/simple/hooks/prepareapt.CENTOS	2011-10-22 22:30:46 UTC (rev 6738)
+++ trunk/examples/simple/hooks/prepareapt.CENTOS	2011-10-22 22:38:09 UTC (rev 6739)
@@ -1,31 +0,0 @@
-#! /bin/bash
-
-# (c) Michael Goetze, 2010-2011, mgoetze at mgoetze.net
-
-error=0; trap 'error=$(($?>$error?$?:$error))' ERR # save maximum error code
-
-if [ $FAI_ACTION = "install" ]; then
-    mount -t proc proc $target/proc
-    mount -t sysfs sysfs $target/sys
-    cp /etc/mtab $target/etc/mtab
-
-    cat > $target/etc/sysconfig/network <<-EOF
-		NETWORKING=yes
-		HOSTNAME=$HOSTNAME.$DOMAIN
-		EOF
-    echo "127.0.0.1 localhost" > $target/etc/hosts
-    ifclass DHCPC || ainsl -s $target/etc/hosts "$IPADDR $HOSTNAME.$DOMAIN $HOSTNAME"
-    cp /etc/resolv.conf $target/etc
-fi
-
-mkdir $target/dev/pts
-mknod -m 000 $target/dev/pts/ptmx c 5 2
-
-fcopy -riv /etc/yum.repos.d/
-
-# disable the fastestmirror plugin
-#sed -i -e 's/enabled=1/enabled=0/' $target/etc/yum/pluginconf.d/fastestmirror.conf
-
-skiptask prepareapt
-
-exit $error

Copied: trunk/examples/simple/hooks/repository.CENTOS (from rev 6738, trunk/examples/simple/hooks/prepareapt.CENTOS)
===================================================================
--- trunk/examples/simple/hooks/repository.CENTOS	                        (rev 0)
+++ trunk/examples/simple/hooks/repository.CENTOS	2011-10-22 22:38:09 UTC (rev 6739)
@@ -0,0 +1,31 @@
+#! /bin/bash
+
+# (c) Michael Goetze, 2010-2011, mgoetze at mgoetze.net
+
+error=0; trap 'error=$(($?>$error?$?:$error))' ERR # save maximum error code
+
+if [ $FAI_ACTION = "install" ]; then
+    mount -t proc proc $target/proc
+    mount -t sysfs sysfs $target/sys
+    cp /etc/mtab $target/etc/mtab
+
+    cat > $target/etc/sysconfig/network <<-EOF
+		NETWORKING=yes
+		HOSTNAME=$HOSTNAME.$DOMAIN
+		EOF
+    echo "127.0.0.1 localhost" > $target/etc/hosts
+    ifclass DHCPC || ainsl -s $target/etc/hosts "$IPADDR $HOSTNAME.$DOMAIN $HOSTNAME"
+    cp /etc/resolv.conf $target/etc
+fi
+
+mkdir $target/dev/pts
+mknod -m 000 $target/dev/pts/ptmx c 5 2
+
+fcopy -riv /etc/yum.repos.d/
+
+# disable the fastestmirror plugin
+#sed -i -e 's/enabled=1/enabled=0/' $target/etc/yum/pluginconf.d/fastestmirror.conf
+
+skiptask prepareapt
+
+exit $error




More information about the Fai-commit mailing list